#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xDD,0x23,0x56,0xCB,0x23,0xE6,0x33,0x27,0x4D,0xF0,0x40,0x13,
		0xB7,0x15,0xBA,0x77,0xF1,0x07,0xB8,0x83,0xCA,0xC7,0xC2,0x50,
		0xCE,0x23,0xE9,0x94,0x34,0x6C,0xAC,0xE2,0x4E,0xAF,0xA8,0xBE,
		0xE1,0x04,0x8B,0xED,0x0B,0xBC,0x98,0x5B,0x34,0x5B,0x42,0x1A,
		0x52,0x72,0x60,0x6E,0x66,0xD1,0xBC,0xFD,0x2E,0x4F,0xC1,0x98,
		0xB7,0x9B,0xA5,0xFB,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
